clang-tools 10.0.0

Classes | Namespaces | Functions | Variables
TestFS.cpp File Reference
`#include "TestFS.h"`
`#include "GlobalCompilationDatabase.h"`
`#include "Path.h"`
`#include "URI.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Errc.h"`
`#include "llvm/Support/Path.h"`
Include dependency graph for TestFS.cpp:

Go to the source code of this file.

## Classes
class | clang::clangd::TestScheme
| unittest: is a scheme that refers to files relative to testRoot(). More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > | clang::clangd::buildTestFS (llvm::StringMap< std::string > const &Files, llvm::StringMap< time_t > const &Timestamps)
const char * | clang::clangd::testRoot ()
std::string | clang::clangd::testPath (PathRef File)
static URISchemeRegistry::Add< TestScheme > | clang::clangd::X (TestScheme::Scheme, "Test schema")

## Variables
volatile int | clang::clangd::UnittestSchemeAnchorSource = 0